-1

When I configure turnserver-3.2.3.95 in my CentOS, I meet the following problem.

$ cd turnserver-3.2.3.95/

$ sudo ./configure 
more is /bin/more
install is /bin/install
pkill is /bin/pkill
Use TMP dir /var/tmp
Compiler: cc
Do not use -lsocket
Do not use -lwldap32
Do not use -lwldap64
Do not use -lintl
Sockets code is fine: no sin_len field present
Ignore IP_RECVERR
Do not use -lcrypto
ERROR: OpenSSL Crypto development libraries are not installed properly in required location.
Abort.

I try to install some libraries by using the following command, but it doesn't work when I configure again.

$ sudo yum install openssl openssl-libs libevent libevent-devel

This is version of my OS.

$ cat /etc/redhat-release
CentOS Linux release 7.3.1611 (Core)

What should I do to solve it?

1

On CentOS (and other RPM-based distributions), you need to install the openssl-devel package:

sudo yum install openssl-devel

(Use sudo dnf ... on CentOS 8, RHEL 8 or Fedora.)

The equivalent in the Debian ecosystem is libssl-dev.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.